1
$\begingroup$

I keep running into an issue with Blender, and files I create outside of blender that I then import into my blender file as a library. This seems like an issue with numpy, although i'm not 100 percent certain on this.

As of right now, I am using Blender v 2.79 (which uses python 3.5) and on my machine (mac sierra) the default is python 3.6. Numpy version is 1.15. Something that might be valuable to know is I tried uninstalling numpy and reinstalling the newest version into the blender files rather than the version that came with it. That seemed to do nothing for this error

Whenever I run any file that imports any library that uses numpy (which I have found is used in just about every library) I get various issues.

Right now I am getting this error

which looks like the same issue faced here

https://github.com/numpy/numpy/issues/9047

Traceback (most recent call last):
  File "/Applications/Blender/blender.app/Contents/Resources/2.79/python/lib/python3.5/site-packages/numpy/core/__init__.py", line 16, in <module>
    from . import multiarray
ImportError: cannot import name 'multiarray'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/Samuel/Documents/CGS/cgs-oop/oop-blender-demo.blend/model.py.006", line 10, in <module>
  File "/Applications/Blender/blender.app/Contents/Resources/2.79/python/lib/python3.5/site-packages/numpy/__init__.py", line 142, in <module>
    from . import add_newdocs
  File "/Applications/Blender/blender.app/Contents/Resources/2.79/python/lib/python3.5/site-packages/numpy/add_newdocs.py", line 13, in <module>
    from numpy.lib import add_newdoc
  File "/Applications/Blender/blender.app/Contents/Resources/2.79/python/lib/python3.5/site-packages/numpy/lib/__init__.py", line 8, in <module>
    from .type_check import *
  File "/Applications/Blender/blender.app/Contents/Resources/2.79/python/lib/python3.5/site-packages/numpy/lib/type_check.py", line 11, in <module>
    import numpy.core.numeric as _nx
  File "/Applications/Blender/blender.app/Contents/Resources/2.79/python/lib/python3.5/site-packages/numpy/core/__init__.py", line 26, in <module>
    raise ImportError(msg)
ImportError:
Importing the multiarray numpy extension module failed.  Most
likely you are trying to import a failed build of numpy.
If you're working with a numpy git repo, try `git clean -xdf` (removes all
files not under version control).  Otherwise reinstall numpy.

Original error was: cannot import name 'multiarray'

Any ideas on how to debug this or how I can hone down the issue would be greatly appreciated.

EDIT:

I have gotten around this issue in the past by calling the other programs with Popen(), obviously this is not ideal for run time, reusability and modularity. For whatever reason if I use Popen() I do not run into this issue.

$\endgroup$
  • $\begingroup$ Most likely you are trying to import a failed build of numpy -> which version of numpy ( and blender) do you have? $\endgroup$ – Dupond Jul 31 '18 at 4:11
  • $\begingroup$ I list all of this in the second paragraph. I am using blender 2.79 , have tried numpy 1.15.x, 1.14.3, and 1.11.2, $\endgroup$ – sf8193 Jul 31 '18 at 5:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.